Data Fields
_GntWidgetClass Struct Reference

## Data Fields
GntBindableClass | parent
void(* | map )(GntWidget *obj)
void(* | show )(GntWidget *obj)
void(* | destroy )(GntWidget *obj)
void(* | draw )(GntWidget *obj)
void(* | hide )(GntWidget *obj)
void(* | expose )(GntWidget *widget, int x, int y, int width, int height)
void(* | gained_focus )(GntWidget *widget)
void(* | lost_focus )(GntWidget *widget)
void(* | size_request )(GntWidget *widget)
gboolean(* | confirm_size )(GntWidget *widget, int x, int y)
void(* | size_changed )(GntWidget *widget, int w, int h)
void(* | set_position )(GntWidget *widget, int x, int y)
gboolean(* | key_pressed )(GntWidget *widget, const char *key)
void(* | activate )(GntWidget *widget)
gboolean(* | clicked )(GntWidget *widget, GntMouseEvent event, int x, int y)
void(* | gnt_reserved1 )(void)
void(* | gnt_reserved2 )(void)
void(* | gnt_reserved3 )(void)
void(* | gnt_reserved4 )(void)

## Detailed Description

Definition at line 113 of file gntwidget.h.

The documentation for this struct was generated from the following file:

- gntwidget.h